/**
 * @module libflitter/errors/FatalError
 */

const FlitterError = require('./FlitterError')

/**
 * An error that, if thrown within Flitter, will cause Flitter to exit immediately.
 * @extends module:libflitter/errors/FlitterError~FlitterError
 */
class FatalError extends FlitterError {
    
    constructor(msg = "Flitter encountered an error and had to exit.", ...args){
        super(msg, ...args)
    }
    
}

module.exports = exports = FatalError
